Subject: linker.test signals 4 errors

From: Jéssica Milaré <[email-masked]>
Date: Sat, 5 Jan 2019 16:55:56 -0200

Calling 'autoreconf && ./configure && make && make check' outputs the
following errors in check-guile.log file:

ERROR: linker.test: simple: parsing succeeds - arguments: ((wrong-type-arg
"bv-length" "Wrong type argument in position 1 (expecting bytevector): ~S"
(#f) (#f)))
ERROR: linker.test: simple: (elf-shnum elf) - arguments: ((wrong-type-arg
"struct-vtable" "Wrong type argument in position 1 (expecting struct): ~S"
(#f) (#f)))
ERROR: linker.test: simple: .foo section checks out - arguments:
((wrong-type-arg "struct-vtable" "Wrong type argument in position 1
(expecting struct): ~S" (#f) (#f)))

Attaching full check-guile.log file.